Package ru.bitel.bgbilling.kernel.contract.api.common.bean

# Class PersonalTariff

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.bgbilling.kernel.contract.api.common.bean.PersonalTariff

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `Idable`, `ListItem`

public class PersonalTariff extends IdTitle

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bitel.common.model.IdTitle

  `IdTitle.Builder, IdTitle.IdTitleBuilder`

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT, title`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PersonalTariff()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getConfig()`
  `Preferences`
  `getConfigPreferences()`
  `int`
  `getContractId()`
  `Calendar`
  `getDate1()`
  `Calendar`
  `getDate2()`
  `int`
  `getPos()`
  `String`
  `getTitleWeb()`
  `int`
  `getTreeId()`
  `boolean`
  `isUseTitleInWeb()`
  `void`
  `setConfig(String config)`
  `void`
  `setContractId(int contractId)`
  `void`
  `setDate1(Calendar date1)`
  `void`
  `setDate2(Calendar date2)`
  `void`
  `setPos(int pos)`
  `void`
  `setTitleWeb(String titleWeb)`
  `void`
  `setTreeId(int treeId)`
  `void`
  `setUseTitleInWeb(boolean useTitleInWeb)`

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setId, setTitle, to, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### PersonalTariff

    public PersonalTariff()

- ## Method Details

  - ### getDate1

    public Calendar getDate1()

  - ### setDate1

    public void setDate1(Calendar date1)

  - ### getDate2

    public Calendar getDate2()

  - ### setDate2

    public void setDate2(Calendar date2)

  - ### getTreeId

    public int getTreeId()

  - ### setTreeId

    public void setTreeId(int treeId)

  - ### getContractId

    public int getContractId()

  - ### setContractId

    public void setContractId(int contractId)

  - ### getPos

    public int getPos()

  - ### setPos

    public void setPos(int pos)

  - ### getTitleWeb

    public String getTitleWeb()

  - ### setTitleWeb

    public void setTitleWeb(String titleWeb)

  - ### isUseTitleInWeb

    public boolean isUseTitleInWeb()

  - ### setUseTitleInWeb

    public void setUseTitleInWeb(boolean useTitleInWeb)

  - ### getConfig

    public String getConfig()

  - ### setConfig

    public void setConfig(String config)

  - ### getConfigPreferences

    public Preferences getConfigPreferences()